ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
ome::files::TileBuffer Class Reference

Tile pixel data buffer. More...

`#include <ome/files/TileBuffer.h>`

## Public Member Functions
| TileBuffer (dimension_size_type size)
| Constructor. More...
virtual | ~TileBuffer ()
| Destructor.
dimension_size_type | size () const
| Get the buffer size. More...
uint8_t * | data ()
| Get the buffer data. More...
const uint8_t * | data () const
| Get the buffer data. More...

## Private Member Functions
| TileBuffer (const TileBuffer &)
| Copy constructor (deleted).
TileBuffer & | operator= (const TileBuffer &)
| Assignment operator (deleted).

## Private Attributes
dimension_size_type | bufsize
| Buffer size (bytes).
uint8_t * | buf
| Raw buffer.

## Detailed Description

Tile pixel data buffer.

Pixel data for a single tile.

## Constructor & Destructor Documentation

ome::files::TileBuffer::TileBuffer | ( | dimension_size_type | size | ) |
| explicit

Constructor.

Parameters

  size | the buffer size (bytes).

References buf.

## Member Function Documentation

uint8_t * ome::files::TileBuffer::data | ( |  | ) |

Get the buffer data.

Returns
  a pointer to the data.

References buf.

const uint8_t * ome::files::TileBuffer::data | ( |  | ) | const

Get the buffer data.

Returns
  a pointer to the data.

References buf.

dimension_size_type ome::files::TileBuffer::size | ( |  | ) | const

Get the buffer size.

Returns
  the buffer size.

References bufsize.

The documentation for this class was generated from the following files:

- ome/files/TileBuffer.h
- ome/files/TileBuffer.cpp